## ros-dashing-mapviz-interfaces 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

project(mapviz_interfaces)

find_package(ament_cmake REQUIRED)
find_package(marti_common_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  srv/AddMapvizDisplay.srv
  DEPENDENCIES marti_common_msgs
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-dashing-mapviz-interfaces (2.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-dashing-mapviz-interfaces (2.0.0-1bionic) bionic; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-dashing-mapviz-interfaces (1.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-dashing-mapviz-interfaces (1.1.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-dashing-mapviz-interfaces (1.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-dashing-mapviz-interfaces (1.0.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-dashing-mapviz-interfaces (1.0.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-dashing-mapviz-interfaces (0.3.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-dashing-mapviz-interfaces (0.2.6-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 31 Jul 2018 14:02:00 -0000

ros-dashing-mapviz-interfaces (0.2.5-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 12 Apr 2018 21:26:00 -0000

ros-dashing-mapviz-interfaces (0.2.4-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 Aug 2017 14:57:00 -0000

ros-dashing-mapviz-interfaces (0.2.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 10 Dec 2016 06:00:00 -0000

ros-dashing-mapviz-interfaces (0.2.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-dashing-mapviz-interfaces (0.2.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 24 Oct 2016 03:33:00 -0000

ros-dashing-mapviz-interfaces (0.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 Jun 2016 05:00:00 -0000

ros-dashing-mapviz-interfaces (0.1.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 20:12:00 -0000

ros-dashing-mapviz-interfaces (0.1.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Jan 2016 23:04:00 -0000

ros-dashing-mapviz-interfaces (0.1.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-dashing-mapviz-interfaces (0.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-dashing-mapviz-interfaces (0.0.10-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 31 Jul 2018 14:01:00 -0000

ros-dashing-mapviz-interfaces (0.0.9-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 12 Apr 2018 21:23:00 -0000

ros-dashing-mapviz-interfaces (0.0.8-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 11 Aug 2017 14:53:00 -0000

ros-dashing-mapviz-interfaces (0.0.7-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 24 Oct 2016 02:55:00 -0000

ros-dashing-mapviz-interfaces (0.0.6-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-dashing-mapviz-interfaces (0.0.5-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 19:40:00 -0000

ros-dashing-mapviz-interfaces (0.0.4-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Jan 2016 23:00:00 -0000

ros-dashing-mapviz-interfaces (0.0.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 28 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-dashing-mapviz-interfaces
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-builtin-interfaces, ros-dashing-marti-common-msgs, ros-dashing-rosidl-default-generators, ros-dashing-ros-workspace, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-fastrtps-c, ros-dashing-rosidl-typesupport-fastrtps-cpp, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-dashing-mapviz-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rosidl-default-runtime, ros-dashing-ros-workspace
Description: ROS interfaces used by Mapviz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-mapviz-interfaces//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
